<template>
    <component v-if="modal" :value="quizResult" :is="modaltype">
    </component>
</template>
<script>

import { mapGetters } from 'vuex'

import success from '../../CourseBuilder/modal/success.vue'
import fail from '../../CourseBuilder/modal/fail.vue'
import favorite from '../../CourseBuilder/modal/favorite.vue'
import begin from '../../CourseBuilder/modal/begin.vue'
import finish from '../../CourseBuilder/modal/finish.vue'
import confirmDelete from '../../CourseBuilder/modal/delete.vue'
import confirmCancel from '../../CourseBuilder/modal/cancel.vue'
import confirmPreview from '../../CourseBuilder/modal/preview.vue'
import changeWeek from '../../CourseBuilder/modal/changeWeek.vue'

export default {
    components:{
        success, fail, favorite, begin, finish, confirmDelete, confirmCancel, confirmPreview, changeWeek
    }, 
    computed: {
        ...mapGetters([
            'quizResult',
            'modal',
            'modaltype',
        ])
    }
}
</script>